Get resource usage history
curl --request GET \
--url https://orbitlab.dev/api/v1/services/{id}/metrics/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://orbitlab.dev/api/v1/services/{id}/metrics/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://orbitlab.dev/api/v1/services/{id}/metrics/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "<unknown>"
}{
"error": "<unknown>"
}{
"error": "<unknown>"
}{
"error": "<unknown>"
}{
"error": "<unknown>"
}Logs & metrics
Get resource usage history
CLI: orbitlab metrics [service] --history
GET
/
v1
/
services
/
{id}
/
metrics
/
history
Get resource usage history
Autorisations
bearerAuthsessionCookie
API token (olab_…) created in Settings → API tokens or with orbitlab login.
En-têtes
Organization to act on (id or slug) for tokens that can access several organizations. Defaults to your first organization.
Paramètres de chemin
Service id.
Paramètres de requête
ISO 8601 start.
ISO 8601 end.
Bucket size in seconds.
Réponse
Time-bucketed usage points.
The response is of type object.
Cette page vous a-t-elle été utile ?